WINLN(1)

NAME
winln - create a Windows symbolic link

SYNOPSIS
winln [-svfdFA] TARGET LINKNAME
winln [-svfdFA] TARGET
winln [-svfdFA] TARGET... DIRECTORY
winln [-svfdFA] -t DIRECTORY TARGET...

DESCRIPTION
winln is a drop-in replacement for ln(1), the difference being that winln creates Windows symbolic links instead of Cygwin ones. Note that Windows has two kinds of symbolic links: file links and directory links. winln automatically chooses the correct type of link when the target exists, but if the target does not exist, you may want to explicitly specify the kind of link to create. Links to non-existent targets default to file links.

OPTIONS

-s, --symbolic
    Create a symbolic (as opposed to hard) link. For compatibility with ln(1), creating hard links is the default.

-v, --verbose
    Print to standard output the names of links created.

-f, --force
    Replace existing destination file.

-d, --directory
    Create a directory symbolic link.

-F, --file
    Create a file symbolic link.

-A, --auto
    Automatically determine the type of symbolic link to create. If the target exists and is a directory, create a directory symbolic link. Otherwise, create a file symbolic link.

-t, --target-directory
    Treat DIRECTORY as the directory in which to create links based on the remaining arguments.

-T, --no-target-directory
    Treat LINKNAME as a normal file always.

-h, --help
    Show brief help message.

--version
    Display version information

NOT IMPLEMENTED
winln does not implement the following command line arguments from GNU ln(1):
-b, --backup, -i, --interactive, -L, --logical, -n, --no-dereference, -P, --physical

COPYRIGHT
Copyright (C) 2011-2013 Daniel Colascione

winln is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

winln is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>

See the COPYING file for full license information.

AUTHOR
Daniel Colascione <dancol@dancol.org>